apiVersion: v1
kind: Pod
metadata:
  name: volume-hp-pod
  namespace: default
spec:
  containers:
  - name: nginx
    image: nginx:latest
    imagePullPolicy: IfNotPresent
    volumeMounts:
    - name: cache-hp
      mountPath: /cache
  volumes:
  - name: cache-hp
    hostPath:
      path: /data/pod/volume
      type: DirectoryOrCreate
